/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
 
/*
 * $Header: /cvs/glassfish/admin/mbeanapi-impl/tests/com/sun/enterprise/management/config/SSLConfigTest.java,v 1.4 2005/12/25 03:41:41 tcfujii Exp $
 * $Revision: 1.4 $
 * $Date: 2005/12/25 03:41:41 $
 */
 
package com.sun.enterprise.management.config;

import java.util.Set;
import java.util.Iterator;


import com.sun.enterprise.management.AMXTestBase;
import com.sun.enterprise.management.Capabilities;
import com.sun.appserv.management.base.Util;
import com.sun.appserv.management.base.XTypes;
import com.sun.appserv.management.config.SSLConfig;
import com.sun.appserv.management.base.QueryMgr;


/**
 */
public final class SSLConfigTest extends AMXTestBase
{
    public SSLConfigTest()
    {
    }

		public void
	testGetAttrs()
	{
		final QueryMgr	queryMgr	= getQueryMgr();
		
		final String	props	= Util.makeJ2EETypeProp( XTypes.SSL_CONFIG );
		final Set		sslConfigs	= queryMgr.queryPropsSet( props );
		final Iterator	iter	= sslConfigs.iterator();
		while( iter.hasNext() )
		{
			final SSLConfig	ssl	= (SSLConfig)iter.next();
			
			ssl.getCertNickname();
			ssl.getClientAuthEnabled();
			
			ssl.getSSL2Enabled();
			ssl.getSSL2Ciphers();
			
			ssl.getSSL3Enabled();
			ssl.getSSL3TLSCiphers();
			
			ssl.getTLSEnabled();
			
			ssl.getTLSRollbackEnabled();
		}
	}
 
}


